# Interface FormComboBoxInputJson

Defines the desired user interface is a list of values in a drop-down that supports typing to filter. Only one value can be selected at a time. See https://developers.arcgis.com/web-map-specification/objects/formComboBoxInput/.

interface FormComboBoxInputJson {
noValueOptionLabel?: string;
showNoValueOption?: boolean;
type: "combo-box";
}

#####
Index

### Properties

noValueOptionLabel?
showNoValueOption?
type

##
Properties

### `Optional` noValueOptionLabel

noValueOptionLabel?: string

The text used to represent a null value.

### `Optional` showNoValueOption

showNoValueOption?: boolean

Determines whether null value option is displayed. This only applies to fields that support null values. If not provided, the default value is false.

### type

type

The input type identifier.